var DOMUtils = {
	addEventListener: function(element, eventName, handler) {
		
		// *sigh*
		// Unfortunately Opera's implementation of addEventListener() is incorrect
		// so we have to check for attachEvent() first as Opera's implementation of this
		// non-standard method is (thankfully) compatible with Internet Explorer
		
		if (element.attachEvent) { // IE
			element.attachEvent("on" + eventName, handler.handleEvent);
		} else if (element.addEventListener) { // W3C
			element.addEventListener(eventName, handler, false);
		} else { // Other
			element["on" + eventName] = handler.handleEvent;
		}
	},
	
	resolveElement: function(element) {
		return (typeof element == "string" ? document.getElementById(element) : element);
	},
	
	getEvent: function(ev) {
		if (!ev.currentTarget && window.event) {
			ev = window.event;
			ev.currentTarget = ev.srcElement;
		}
		return ev;
	}
};